using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.WindowsMobile.PocketOutlook;
using Microsoft.WindowsMobile.Forms;

namespace SendEmail_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            #if DEBUG
                MinimizeBox = false;
            #else       
                MinimizeBox = true;
            #endif
        }

        private void butSendMail_Click(object sender, EventArgs e)
        {
            ChooseContactDialog contactDialog = new ChooseContactDialog();
            contactDialog.Title = "Выберите контакт для отправки email";
            if (contactDialog.ShowDialog() == DialogResult.OK)
            {
                EmailMessage message = new EmailMessage();
                message.To.Add(
                    new Recipient(contactDialog.SelectedContact.Email1Address));
                message.Subject = "С Днем Рождения";
                message.BodyText =
                    "Уважаемый Владимир Владимирович! Поздравляю вас с Днем Рождения! Посылаю вам открытку с видами Петербурга. Ваша Люда.";
                //message.Attachments.Add(new Attachment(@"\My Documents\piter.jpg"));
                message.Attachments.Add(new Attachment(@"\My Documents\Мои рисунки\flower.jpg"));

                using (OutlookSession session = new OutlookSession())
                {
                    session.EmailAccounts[0].Send(message);
                    session.Dispose();
                }
            }
        }

        private void butSendMail2_Click(object sender, EventArgs e)
        {
            Recipient recipient = new Recipient("alexander.klimoff@gmail.com");
            EmailMessage msg = new EmailMessage();

            // Кому письмо
            msg.To.Add(recipient);
            // Тема письма
            msg.Subject = "О вашей книге";
            // Текст письма
            msg.BodyText = "Спасибо за книгу";
            msg.Send("ActiveSync");
        }
    }
}